%global momorel 1

Summary: File-Copy-Recursive module for perl 
Name: perl-File-Copy-Recursive
Version: 0.36
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/File/File-Copy-Recursive-%{version}.tar.gz 
NoSource: 0
URL: http://www.cpan.org/modules/by-module/File/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 1:5.8.8
BuildArch: noarch

%description
File-Copy-Recursive module for perl

%prep
%setup -q -n File-Copy-Recursive-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > File-Copy-Recursive-%{version}-filelist
if [ "$(cat File-Copy-Recursive-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f File-Copy-Recursive-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Fri Apr 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.36-1m)
- update to 0.36

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.35-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.35-2m)
- %%NoSource -> NoSource

* Tue Aug 28 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.35-1m)
- update to 0.35

* Wed Aug 22 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.34-1m)
- update to 0.34

* Sat Jun  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.33-1m)
- update to 0.33

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.30-2m)
- use vendor

* Wed Dec 13 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.30-1m)
- update to 0.30

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.29-1m)
- update to 0.29

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.28-1m)
- spec file was autogenerated
